Subject: [bug#77288] [PATCH v2 2/8] doc: Document migration to the unprivileged daemon.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 21 Apr 2025 09:13:09 +0900

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> * doc/guix.texi (Build Environment Setup): Add “Migrating to the
>>> Unprivileged Daemon” section.
>>> (Upgrading Guix): Link to it.
>>
>> [...]
>>
>> It looks good to me, but I was wondering if this wouldn't fit better in
>> a etc/news.scm entry, or blog post, since it's a section which will
>> eventually be obsolete, as more and more systems are installed out of the
>> box with the unprivileged daemon.
>
> I think it’s better this way because it will probably be a long process,
> and because it’s good to be able to point people to a page in the
> manual.

OK.  We can always remove it if/when it becomes outdated/irrelevant.

>> A couple of related questions: are Guix Systems already automatically
>> handled to run the daemon unprivileged now?  Is this just for foreign
>> systems?  Is the guix-install.sh script able to setup the daemon for
>> unprivileged execution now?
>
> This patch series is initially about migration on Guix System only, but
> following a suggestion by Florian and also requests from others
> wondering how to migrate on foreign distros, I thought I’d also include
> this here.

OK, thanks for explaining.

-- 
Thanks,
Maxim